FASTQ-CLIPPER(1)

NAME
fastq-clipper - ea-utils: removes one or more adapter sequences from the fastq file

DESCRIPTION
usage: fastq-clipper [options] <fastq-file> <adapters>

Removes one or more adapter sequences from the fastq file. Adapter sequences are colon-delimited. Stats go to stderr, unless -o is specified.

OPTIONS

-h  This help

-o FIL
    Output file (stats to stdout)

-p N
    Maximum difference percentage (10)

-m N
    Minimum clip length (1)

-l N
    Minimum remaining sequence length (15)

-x [N]
    Extra match length past adapter length,

    N =-1 : search all N = 0 : search only up to adapter length

-e  End-of-line (default)

-b  Beginning-of-line (not supported yet)